summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2019-12-12 16:43:44 +0100
committerAlexis Ballier <aballier@gentoo.org>2019-12-12 16:43:54 +0100
commitc3d939d08bbeb273a183a712c1650f235f5a159d (patch)
tree383077e07b401fffb07e274b44e4076f1ef5d188 /ros-meta
parentdev-ros/ament_cmake_version: fix deps and add live ebuild (diff)
downloadgentoo-c3d939d08bbeb273a183a712c1650f235f5a159d.tar.gz
gentoo-c3d939d08bbeb273a183a712c1650f235f5a159d.tar.bz2
gentoo-c3d939d08bbeb273a183a712c1650f235f5a159d.zip
ros-meta/ament_cmake: fix deps, add live ebuild
Package-Manager: Portage-2.3.81, Repoman-2.3.20 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'ros-meta')
-rw-r--r--ros-meta/ament_cmake/ament_cmake-0.8.1.ebuild23
-rw-r--r--ros-meta/ament_cmake/ament_cmake-9999.ebuild59
2 files changed, 77 insertions, 5 deletions
diff --git a/ros-meta/ament_cmake/ament_cmake-0.8.1.ebuild b/ros-meta/ament_cmake/ament_cmake-0.8.1.ebuild
index ff07eb121aa..9424ebe9198 100644
--- a/ros-meta/ament_cmake/ament_cmake-0.8.1.ebuild
+++ b/ros-meta/ament_cmake/ament_cmake-0.8.1.ebuild
@@ -8,13 +8,26 @@ PYTHON_COMPAT=( python{3_6,3_7} )
inherit cmake-utils python-r1
ROS_PN="ament_cmake"
-DESCRIPTION="The entry point package for the ament buildsystem in CMake"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/ament/ament_cmake"
+ SRC_URI=""
+ S=${WORKDIR}/${P}/${PN}
+else
+ SRC_URI="https://github.com/ament/ament_cmake/archive/${PV}.tar.gz -> ${ROS_PN}-${PV}.tar.gz"
+ S="${WORKDIR}/${ROS_PN}-${PV}/${PN}"
+fi
+
+DESCRIPTION="The entry point package for the ament buildsystem"
HOMEPAGE="https://github.com/ament/ament_cmake"
-SRC_URI="https://github.com/ament/ament_cmake/archive/${PV}.tar.gz -> ${ROS_PN}-${PV}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+fi
IUSE=""
DEPEND="
@@ -30,11 +43,11 @@ DEPEND="
dev-ros/ament_cmake_target_dependencies[${PYTHON_USEDEP}]
dev-ros/ament_cmake_test[${PYTHON_USEDEP}]
dev-ros/ament_cmake_version[${PYTHON_USEDEP}]
+ ${PYTHON_DEPS}
"
RDEPEND="${DEPEND}"
-BDEPEND="${PYTHON_DEPS}"
+BDEPEND="${DEPEND}"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-S="${WORKDIR}/${ROS_PN}-${PV}/${PN}"
src_configure() {
# This is a build tool that does not install python-related files
diff --git a/ros-meta/ament_cmake/ament_cmake-9999.ebuild b/ros-meta/ament_cmake/ament_cmake-9999.ebuild
new file mode 100644
index 00000000000..9424ebe9198
--- /dev/null
+++ b/ros-meta/ament_cmake/ament_cmake-9999.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit cmake-utils python-r1
+
+ROS_PN="ament_cmake"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/ament/ament_cmake"
+ SRC_URI=""
+ S=${WORKDIR}/${P}/${PN}
+else
+ SRC_URI="https://github.com/ament/ament_cmake/archive/${PV}.tar.gz -> ${ROS_PN}-${PV}.tar.gz"
+ S="${WORKDIR}/${ROS_PN}-${PV}/${PN}"
+fi
+
+DESCRIPTION="The entry point package for the ament buildsystem"
+HOMEPAGE="https://github.com/ament/ament_cmake"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ KEYWORDS=""
+else
+ KEYWORDS="~amd64"
+fi
+IUSE=""
+
+DEPEND="
+ dev-ros/ament_cmake_core[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_export_definitions[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_export_dependencies[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_export_include_directories[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_export_interfaces[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_export_libraries[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_export_link_flags[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_libraries[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_python[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_target_dependencies[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_test[${PYTHON_USEDEP}]
+ dev-ros/ament_cmake_version[${PYTHON_USEDEP}]
+ ${PYTHON_DEPS}
+"
+RDEPEND="${DEPEND}"
+BDEPEND="${DEPEND}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_configure() {
+ # This is a build tool that does not install python-related files
+ # ... but we need to propagate the deps and use python3 to build it.
+ local pyimpl="${PYTHON_COMPAT[0]}"
+ python_export "${pyimpl}" EPYTHON PYTHON
+ python_wrapper_setup
+ cmake-utils_src_configure
+}